local source = require("love_src.wrapper.lappy.new.source").obj

local components = {}

components.dict = {
  bgm = "bgm",
  sfx = "sfx",
}

function components.bgm (c, path)
  c.data = {
    source = source:load_to(path, path, "stream"),
    path = path
  }
end

function components.sfx (c, path)
  c.data = {
    source = source:load_to(path, path, "static"),
    path = path
  }
end

return components
